#1982 closed defect (fixed)

Unused file cpukit/libfs/src/rfs/rtems-rfs-bitmaps-ut.c

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: minor Keywords:
Cc: chrisj@…, sebastian.huber@… Blocked By:
Blocking:

Description

The file libfs/src/rfs/rtems-rfs-bitmaps-ut.c seems unused.

AFAIS, the only function it exports ("rtems_rfs_bitmap_unit_test") is not declared in any header and therefore is not accessible without applying trickery.

I'd recommend to either remove this file or to add "rtems_rfs_bitmap_unit_test" to a public header, but I am not sure about what is desired.

Change History (3)

comment:1 Changed on Dec 6, 2011 at 1:12:29 PM by Ralf Corsepius

Cc: Chris Johns added

comment:2 Changed on Nov 22, 2012 at 3:37:45 PM by Sebastian Huber

Resolution: fixed
Status: newclosed, sebastian.huber@embedded-brains.de

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.